<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR ANGGOTA</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListMember()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Anggota Baru</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-4">
                  <label class="col-form-label">Perusahaan </label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="filterPerusahaan=$event"></app-company-select>
                  <!--<ngx-select-dropdown [(ngModel)]="filterPerusahaan" [multiple]="false" [config]="configSelectPerusahaan" [options]="listPerusahaan"></ngx-select-dropdown>-->
                </div>
                <div class="col-sm-3">
                  <div class="controls">
                    <label class="col-form-label">Pencarian Nama / Nomor NIK</label>
                    <input id="appendedInputButton" (keyup.enter)="doSearching()" [(ngModel)]="filterText" (keyup)="clearFilterKTP()" class="form-control" size="16" type="text" placeholder="Pencarian Nama / Nomor NIK...">
                  </div>
                </div>
                <div class="col-sm-3">
                  <div class="controls">
                    <label class="col-form-label">Pencarian Nomor KTP</label>
                    <input id="appendedInputButton2" (keyup.enter)="doSearching()" [(ngModel)]="filterTextNIK" (keyup)="clearFilterNIK()" class="form-control" size="16" type="text" placeholder="Pencarian Nomor KTP...">
                  </div>
                </div>
                <div class="col-sm-2" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doSearching()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div><br>
          <!--<div *ngIf="listAnggota | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle">#</th>
                <th class="text-center align-middle" (click)="sort('nomorAnggota')">No. Anggota
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorAnggota',
                                    'fa-sort-asc': (column == 'nomorAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'nomorAnggota' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('nomorNik')">NIK
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorNik',
                                    'fa-sort-asc': (column == 'nomorNik' && isDesc),
                                    'fa-sort-desc': (column == 'nomorNik' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('nama')">Nama
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('namaPerusahaan')">Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('namaKonfederasi')">Konfederasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaKonfederasi',
                                    'fa-sort-asc': (column == 'namaKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'namaKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('lokasiPenempatan')">Proyek
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lokasiPenempatan',
                                    'fa-sort-asc': (column == 'lokasiPenempatan' && isDesc),
                                    'fa-sort-desc': (column == 'lokasiPenempatan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('role')">Simpanan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'role',
                                    'fa-sort-asc': (column == 'role' && isDesc),
                                    'fa-sort-desc': (column == 'role' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('role')">Pinjaman
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'role',
                                    'fa-sort-asc': (column == 'role' && isDesc),
                                    'fa-sort-desc': (column == 'role' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('statusAnggota')">Status
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusAnggota',
                                    'fa-sort-asc': (column == 'statusAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'statusAnggota' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listAnggota || listAnggota.length===0">
              <tr>
                <td colspan="11" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listAnggota | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.nomorAnggota }}</td>
                <td>{{ data.nomorNik }}</td>
                <td class="text-left">{{ data.nama }}</td>
                <td>{{ data.namaPerusahaan }}</td>
                <td>{{ data.namaKonfederasi }}</td>
                <td>{{ data.lokasiPenempatan }}</td>
                <td><a href="javascript:void(0)" title="List Simpanan Anggota" (click)="gotoSimpanan(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)">View</a></td>
                <td><a href="javascript:void(0)" title="List Pinjaman Anggota" (click)="gotoPinjaman(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)">View</a></td>
                <td>{{ data.statusAnggota | statusAnggota }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedAnggota(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                  <!--<button class="btn btn-danger btn-sm ml-1"><i class="icon-trash"></i> </button>-->
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listAnggota.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success modal-xl" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Anggota</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" enctype="multipart/form-data" class="form-horizontal" [formGroup]="formBuilder">
          <p class="text-danger">Kolom bertanda bintang (<small>*</small>) wajib diisi!</p>
          <div class="row">
            <div class="col-sm-4">
              <h5 class="font-italic">Data Pribadi Anggota</h5>
              <div class="col-sm-12">
                <div class="row" *ngIf="modalTitle === 'Tambah'">
                  <div class="col-sm-8 pr-0">
                    <label class="col-form-label">Nomor KTP <small class="text-danger">*</small></label>
                    <input type="text" maxlength="16" id="nomorKtp" class="form-control" formControlName="nomorKtp" placeholder="Nomor KTP" appNumeric numericType="number">
                  </div>
                  <div class="col-sm-4" style="margin-top: 34px">
                    <button class="btn btn-success ml-0"  (click)="doSearchMemberByKTP()"><i class="fa fa-search"></i> Cari</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-12" *ngIf="modalTitle === 'Edit'">
                <label class="col-form-label">Nomor KTP <small class="text-danger">*</small></label>
                <input type="text" id="nomorKtp2" maxlength="16" class="form-control" formControlName="nomorKtp" placeholder="Nomor KTP" appNumeric numericType="number">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Lengkap <small class="text-danger">*</small></label>
                <input type="text" id="nama" class="form-control" formControlName="nama" placeholder="Nama">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jenis Kelamin <small class="text-danger">*</small></label>
                <select class="form-control" title="Pilih Jenis Kelamin" formControlName="jenisKelamin">
                  <option value="-" disabled selected>Pilih Jenis Kelamin</option>
                  <option value="Laki-Laki">Laki-laki</option>
                  <option value="Perempuan">Perempuan</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Tempat Lahir <small class="text-danger">*</small></label>
                <input type="text" id="tempatLahir" class="form-control" formControlName="tempatLahir" placeholder="Tempat Lahir">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Lahir <small class="text-danger">*</small></label>
                <input class="form-control" id="tanggalLahir" type="date" placeholder="date" formControlName="tanggalLahir">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Status Pernikahan <small class="text-danger">*</small></label>
                <select class="form-control" formControlName="status">
                  <option value="-" disabled selected>Pilih Status</option>
                  <option value="Lajang">Lajang</option>
                  <option value="Menikah">Menikah</option>
                  <option value="Cerai">Cerai</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Alamat <small class="text-danger">*</small></label>
                <textarea rows="4" id="alamat" class="form-control" formControlName="alamat" placeholder="Alamat"></textarea>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Pekerjaan <small class="text-danger">*</small></label>
                <input type="text" id="pekerjaan" class="form-control" formControlName="pekerjaan" placeholder="Pekerjaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Alamat Email <small class="text-danger">*</small></label>
                <input type="email" id="emailAnggota" class="form-control" formControlName="emailPribadi" placeholder="Email Anggota">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor HP <small class="text-danger">*</small></label>
                <input type="text" id="nomorHp" maxlength="12" class="form-control" formControlName="nomorHp" placeholder="Nomor HP" appNumeric numericType="number">
              </div>
            </div>
            <div class="col-sm-4">
              <h5 class="font-italic">Data Pekerjaan Anggota</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Konfederasi / Serikat Kerja <small class="text-danger">*</small></label>
                <ngx-select-dropdown [multiple]="false" [config]="configSelectKonfederasi" (change)="setKonfederasi()"  formControlName="selectedKonfederasi" [options]="listKonfederasi"></ngx-select-dropdown>
                <!--<select class="form-control" formControlName="namaKonfederasi">-->
                  <!--<option value="-" disabled>Pilih Konfederasi</option>-->
                  <!--<option value="SARBUMUSI">SARIKAT BURUH MUSLIMIN INDONESIA</option>-->
                  <!--<option value="KSPSI">KONFEDERASI SERIKAT PEKERJA SELURUH INDONESIA</option>-->
                  <!--<option value="KSPN">KONFEDERASI SERIKAT PEKERJA NASIONAL</option>-->
                  <!--<option value="KSBSI">KONFEDERASI SERIKAT BURUH SEJAHTERA INDONESIA</option>-->
                <!--</select>-->
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Perusahaan <small class="text-danger">*</small></label>
                <ngx-select-dropdown [multiple]="false" (change)="setPerusahaan()" [config]="configSelectPerusahaan" formControlName="selectedPerusahaan" [options]="listPerusahaan"></ngx-select-dropdown>
                <!--<select class="form-control" formControlName="kodePerusahaan">-->
                <!--<option value="" disabled>Pilih Perusahaan</option>-->
                <!--<option value="EGP" (click)="doGetListMember('EGP')">Esa Garda Pratama</option>-->
                <!--</select>-->
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Penempatan <small class="text-danger">*</small></label>
                <input type="text" id="lokasiPenempatan" class="form-control" formControlName="lokasiPenempatan" placeholder="Lokasi Penempatan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor NIK <small class="text-danger">*</small></label>
                <input type="text" id="nomorNik" class="form-control" formControlName="nomorNik" placeholder="Nomor NIK">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jabatan <small class="text-danger">*</small></label>
                <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>-->
                <input type="text" id="namaJabatan" class="form-control" formControlName="jabatanKeanggotaan" placeholder="Jabatan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Pendapatan per Bulan <small class="text-danger">*</small></label>
                <!--<input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.pendapatan.value}}"-->
                       <!--placeholder="Pendapatan per Bulan" formControlName="pendapatan">-->
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan1" value="Dibawah Rp.5Jt">
                  <label class="form-check-label" for="pendapatan1">Dibawah Rp.5Jt</label>
                </div>
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan2" value="> Rp.5Jt s/d Rp.10Jt">
                  <label class="form-check-label" for="pendapatan2">> Rp.5Jt s/d Rp.10Jt</label>
                </div>
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan3" value="> Rp.10Jt s/d Rp.20Jt">
                  <label class="form-check-label" for="pendapatan3">> Rp.10Jt s/d Rp.20Jt</label>
                </div>
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan4" value="Diatas Rp.20Jt">
                  <label class="form-check-label" for="pendapatan4">Diatas Rp.20Jt</label>
                </div>
              </div><br>
              <h5 class="font-italic">Data Saudara Dekat</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Saudara Dekat <small class="text-danger">*</small></label>
                <input class="form-control" id="namaSaudaraDekat" type="text" placeholder="Nama Saudara Dekat" formControlName="namaSaudaraDekat">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Hubungan Saudara <small class="text-danger">*</small></label>
                <input class="form-control" id="hubunganSaudaraDekat" type="text" placeholder="Hubungan Saudara Dekat" formControlName="hubunganSaudara">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Alamat Saudara <small class="text-danger">*</small></label>
                <textarea rows="3" class="form-control" id="alamatSaudaraDekat" type="text" placeholder="Alamat Saudara Dekat" formControlName="alamatSaudara"></textarea>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor HP Saudara <small class="text-danger">*</small></label>
                <input class="form-control" maxlength="12" id="nomorHpSaudaraDekat" type="text" placeholder="Nomor HP Saudara Dekat" formControlName="nomorHpSaudara" appNumeric numericType="number">
              </div>
            </div>
            <div class="col-sm-4">

              <h5 class="font-italic">Data Rekening Anggota</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Bank <small class="text-danger">*</small></label>
                <input type="text" id="namaBank" class="form-control" formControlName="namaBank" placeholder="Nama Bank">
                <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectBank" [(value)]="selectedBank" [options]="listBank"></ngx-select-dropdown>-->
                <!--<select class="form-control" formControlName="kodeBank">-->
                <!--<option value="-" disabled>Pilih Bank</option>-->
                <!--<option value="BCA" (click)="setNamaBank('BCA')">BCA</option>-->
                <!--<option value="BRI" (click)="setNamaBank('BRI')">BRI</option>-->
                <!--<option value="MANDIRI" (click)="setNamaBank('MANDIRI')">MANDIRI</option>-->
                <!--</select>-->
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Cabang Pembuka <small class="text-danger">*</small></label>
                <input type="text" id="cabangBank" class="form-control" formControlName="cabangBank" placeholder="Cabang Bank">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Rekening <small class="text-danger">*</small></label>
                <input type="text" id="nomorRekening" class="form-control" formControlName="nomorRekening" placeholder="Nomor Rekening">
              </div><br>
              <h5 class="font-italic">Data Permintaan Simpanan</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Simpanan Wajib Bulanan</label>
                <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananWajib.value}}"
                       placeholder="Simpanan Wajib Bulanan" formControlName="simpananWajib">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Simpanan Sukarela Bulanan</label>
                <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananSukarela.value}}"
                       placeholder="Simpanan Sukarela Bulanan" formControlName="simpananSukarela">
              </div><br>
              <h5 class="font-italic">Data Registrasi</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Registrasi</label>
                <input class="form-control" id="tanggalRegistrasi" type="date" placeholder="Pilih Tanggal"  formControlName="tanggalRegistrasi">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jabatan Keanggotaan</label>
                <select class="form-control" formControlName="kodeJabatan">
                  <option value="-" disabled>Pilih Jabatan Keanggotaan</option>
                  <option value="PBN" (click)="setNamaJabatan('PEMBINA')">PEMBINA</option>
                  <option value="PWS" (click)="setNamaJabatan('PENGAWAS')">PENGAWAS</option>
                  <option value="PRS" (click)="setNamaJabatan('PENGAWAS')">PENGAWAS</option>
                  <option value="AGT" (click)="setNamaJabatan('ANGGOTA')">ANGGOTA</option>
                  <option value="JB0001" (click)="setNamaJabatan('DANRU')">DANRU</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Wewenang Aplikasi <small class="text-danger">*</small></label>
                <select class="form-control" formControlName="role">
                  <option value="-" disabled>Pilih Wewenang Aplikasi</option>
                  <option value="ADM" >ADMINISTRATOR</option>
                  <!--<option value="HRD" >HRD</option>-->
                  <option value="PENGAWAS" >PENGAWAS</option>
                  <option value="AGT" >ANGGOTA</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Status Keanggotaan <small class="text-danger">*</small></label>
                <select class="form-control" formControlName="statusAnggota">
                  <option value="-" disabled>Pilih Status Anggota</option>
                  <option value="N" >BARU</option>
                  <option value="A" >AKTIF</option>
                  <option value="I" >NON AKTIF</option>
                </select>
              </div>
              <div class="col-sm-12" *ngIf="modalTitle==='Edit'">
                <label class="col-form-label">Password</label>
                <!--<input *ngIf="modalTitle==='Tambah'" minlength="4" type="password" id="password" class="form-control" formControlName="password" placeholder="Password">-->
                <button *ngIf="modalTitle==='Edit'" type="button" class="btn btn-success form-control text-left" (click)="resetPassword()">
                  <i class="fa fa-undo"></i> Reset Password
                </button>
              </div><br>
            </div>
          </div>
          <div class="row" *ngIf="modalTitle === 'Edit'">
            <div class="col-sm-4">
              <h5 class="font-italic">Foto Anggota</h5>
              <input type="file" #fileFoto (change)="onFileChangedAnggota($event.target.files)" >
            </div>
            <div class="col-sm-8">
              <h5 class="font-italic">KTP Anggota</h5>
              <input type="file" #fileAnggota (change)="onFileChangedKtp($event.target.files)" >
            </div>
          </div>

          <div class="row" *ngIf="modalTitle === 'Edit'">
            <div class="col-sm-4" *ngIf="isImageFound">
              <img [src]="linkImage + '/anggota/' + selectedAnggota.nomorAnggota + '.jpg'" width="100%" (error)="updateImageActive()">
            </div>
            <div class="col-sm-8" *ngIf="isKtpFound">
              <img [src]="linkImage + '/ktp/' + selectedAnggota.nomorKtp + '.jpg'" width="90%" (error)="updateKtpActive()">
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" [disabled]="formBuilder.invalid" [title]="formBuilder.invalid ? 'Lengkapi Data!!!' : ''" class="btn btn-success" (click)="addModal.hide(); submit()">
          <i class="fa fa-save"></i> {{!searchAnggota ? 'Submit' : 'Update'}}</button>
      </div>
    </div>
  </div>
</div>


